Skip to main content
GET
/
api
/
supply-chain
/
v1
/
list-energy-disruptions
ListEnergyDisruptions
curl --request GET \
  --url https://api.example.com/api/supply-chain/v1/list-energy-disruptions
{
  "events": [
    {
      "id": "<string>",
      "assetId": "<string>",
      "assetType": "<string>",
      "eventType": "<string>",
      "startAt": "<string>",
      "endAt": "<string>",
      "capacityOfflineBcmYr": 123,
      "capacityOfflineMbd": 123,
      "causeChain": [
        "<string>"
      ],
      "shortDescription": "<string>",
      "sources": [
        {
          "authority": "<string>",
          "title": "<string>",
          "url": "<string>",
          "date": "<string>",
          "sourceType": "<string>"
        }
      ],
      "classifierVersion": "<string>",
      "classifierConfidence": 123,
      "lastEvidenceUpdate": "<string>",
      "countries": [
        "<string>"
      ]
    }
  ],
  "fetchedAt": "<string>",
  "classifierVersion": "<string>",
  "upstreamUnavailable": true
}

Query Parameters

assetId
string

Filter to one asset. Omit for all. When set, also narrows to the matching asset_type if provided.

assetType
string

Filter to one asset type. Accepts: "pipeline" | "storage".

ongoingOnly
boolean

If true, only return events with endAt empty (still ongoing).

Response

Successful response

events
object[]
fetchedAt
string
classifierVersion
string
upstreamUnavailable
boolean